BOTCH-GRAPH2TEXT(1)

NAME
botch-graph2text - for each vertex in a graph print a formatted line on standard output

SYNOPSIS

botch-graph2text [options] [ingraph] formatstring

DESCRIPTION
Given a formatstring of the form "{attr1} {attr2}...", print a line with this format for every vertex in the graph, replacing "{attr}" placeholders with the value of the attribute "attr" for that vertex. If no attribute with name "attr" was found, then the placeholder "{XXX}" remains in the output string. To write a literal opening or closing curly brace, type them twice, respectively. The special placeholder "{__ID__}" is replaced with the vertex identifier.

If the positional arguments is omitted, then read GraphML or dot from standard input. Passing a '-' as either argument, explicitly specifies to read the input from standard input. The input graph type will be determined automatically.

OPTIONS

-h, --help
    Display help.

--vertex=VERT
    This option picks the set of vertices that will be output. The VERT argument is a key/value pair (separated by a colon) of a graph attribute and its value. By default (without this option), all vertices of the graph are considered.

    The special key "__ID__" allows one to select the unique vertex identifier.

    This option can be specified more than once. The final set of vertices is chosen such that all vertices match all key/value pairs. Multiple --vertex options thus form a logical conjunction (they are AND-ed together).

-v, --verbose
    Be verbose.

EXAMPLE
Find all source packages that build depend on "texlive-binaries:amd64 (=2015.20150524.37493-5)".

Using package selection and reverse dependency cone computation by ceve:

        dose-ceve -r "texlive-binaries:amd64 (= 2015.20150524.37493-5)" --deb-native-arch=amd64 -G pkg -T grml deb://Packages debsrc://Sources \
                | botch-graph-sources - - \
                | botch-graph2text - "{realpackage} (= {realversion})" --vertex type:src \
                | sort

Using package selection and ancestor vertex computation by botch:

        dose-ceve --deb-native-arch=amd64 -G pkg -T grml deb://Packages debsrc://Sources \
                | botch-graph-ancestors - - --target realpackage:texlive-binaries:amd64 realversion:2015.20150524.37493-5 \
                | botch-graph-sources - - \
                | botch-graph2text - "{realpackage} (= {realversion})" --vertex type:src \
                | sort

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.